Subject: Re: [PATCH v9 13/27] cxl: prepare memdev creation for type2

From: Jonathan Cameron <[email-masked]>
Date: Thu, 2 Jan 2025 15:01:36 +0000

On Mon, 30 Dec 2024 21:44:31 +0000
<[email-masked]> wrote:

> From: Alejandro Lucero <[email-masked]>
> 
> Current cxl core is relying on a CXL_DEVTYPE_CLASSMEM type device when
> creating a memdev leading to problems when obtaining cxl_memdev_state
> references from a CXL_DEVTYPE_DEVMEM type. This last device type is
> managed by a specific vendor driver and does not need same sysfs files
> since not userspace intervention is expected.
> 
> Create a new cxl_mem device type with no attributes for Type2.
> 
> Avoid debugfs files relying on existence of cxl_memdev_state.

"Avoid debugfs files that rely on existence of cxl_memdev_state."

Currently it means you keep the files but break their reliance
on that state. So subtly different from what is implemented.

> 
> Make devm_cxl_add_memdev accesible from a accel driver.
> 
> Signed-off-by: Alejandro Lucero <[email-masked]>
Reviewed-by: Jonathan Cameron <[email-masked]>